# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Adding a new metric? We have docs for that!
# https://firefox-source-docs.mozilla.org/toolkit/components/glean/user/new_definitions_file.html

---
$schema: moz://mozilla.org/schemas/glean/metrics/2-0-0
$tags:
  - 'WebExtensions :: General'

# NOTE: this should be kept in sync with the metric as registered
# using Services.fog.registerRuntimeMetric from api.js.
data_leak_blocker:
  report_v1:
    type: event
    description: >
      Recorded on requests originated from add-on that are targeting
      one of the domains listed in the related RemoteSettings data.
    bugs:
      - https://bugzilla.mozilla.org/show_bug.cgi?id=1985769
    data_reviews:
      - https://bugzilla.mozilla.org/show_bug.cgi?id=1985769
    notification_emails:
      - addons-dev-internal@mozilla.com
    data_sensitivity:
      - interaction
    send_in_pings:
      - data-leak-blocker
    expires: 146
    extra_keys:
      addon_id:
        type: string
        description: the add-on id that has originated the request
      blocked:
        type: string
        description: set to "true" if the request was blocked
      method:
        type: string
        description: set to the request method (e.g. "GET", "POST", etc.)
      content_policy_type:
        type: string
        description: numeric nsContentPolicyType enum value associated to the request.
      is_addon_triggering:
        type: string
        description: set to "true" if the addon was the triggeringPrincipal
      is_addon_loading:
        type: string
        description: set to "true" if the addon was the loadingPrincipal
      is_content_script:
        type: string
        description: set to "true" if the request is originated from a content script
